/* Include file for the open2300 Linux specific functions
 */
 
#ifndef _INCLUDE_MOTIONPTZ_H_
#define _INCLUDE_MOTIONPTZ_H_ 

#include <string.h>
#include <fcntl.h>
#include <stdio.h>
#include <time.h>
#include <stdlib.h>
#include <stdbool.h>
#include <math.h>
#include <sys/types.h>
#include <sys/stat.h>
 
#include <termios.h>
#include <unistd.h>
#include <netinet/in.h>
#include <arpa/inet.h> 
#include <sys/ioctl.h>
#include <sys/socket.h>
#include <netdb.h>

#define BAUDRATE B9600
#define CAMERA_SERIAL_DEVICE "/dev/ttyS0"
#define MOTION_BASEURL "localhost"
#define MOTION_CONTROL_PORT 8080
typedef int CAMERA;

CAMERA open_device(char *device);
void close_device(CAMERA serdevice);
void init_camera(CAMERA serdevice);
int read_device(CAMERA serdevice, unsigned char *buffer, int size);
int write_device(CAMERA serdevice, unsigned char *buffer, int size);
void sleep_short(int milliseconds);
void sleep_long(int seconds);
int http_request_url(char *urlline);

#endif /* _INCLUDE_MOTIONPTZ_H_ */
